JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
juce::midi_ci::Message::EndpointInquiryResponse Struct Reference
juce_midi_ci » ci

See the MIDI-CI specification. More...

`#include <juce_CIMessages.h>`

## Public Member Functions
auto | tie () const
bool | operator== (const EndpointInquiryResponse &x) const
bool | operator!= (const EndpointInquiryResponse &x) const

## Public Attributes
std::byte | status
Span< const std::byte > | data

## Detailed Description

See the MIDI-CI specification.

## Member Function Documentation

## ◆ tie()

auto juce::midi_ci::Message::EndpointInquiryResponse::tie | ( |  | ) | const

References data, and status.

Referenced by operator==().

## ◆ operator==()

bool juce::midi_ci::Message::EndpointInquiryResponse::operator== | ( | const EndpointInquiryResponse & | x | ) | const

References tie(), and x.

Referenced by operator!=().

## ◆ operator!=()

bool juce::midi_ci::Message::EndpointInquiryResponse::operator!= | ( | const EndpointInquiryResponse & | x | ) | const

References operator==(), and x.

## Member Data Documentation

## ◆ status

std::byte juce::midi_ci::Message::EndpointInquiryResponse::status

Referenced by tie().

## ◆ data

Span<const std::byte> juce::midi_ci::Message::EndpointInquiryResponse::data

Referenced by tie().

The documentation for this struct was generated from the following file:

- juce_CIMessages.h